#112 Warning: Download of 'i18n.ver' failed: Unable to determine the latest version number, in rkhunter 1.3.6

main
closed-invalid
nobody
None
5
2014-08-23
2014-05-13
Ben Johnson
No

I will preface this by stating that this is the same as or similar to the bug described at https://sourceforge.net/p/rkhunter/bugs/105/ , but that bug has already been marked fixed/closed, so I hesitate to add my remarks to those who have already done the same and are presumably being ignored.

Since at least February 24, 2014, rkhunter scans have been throwing a warning because the URL from which rkhunter is attempting to download version information returns a 404.

This is what ends-up in the log:

[16:00:11] Info: Executing download command '/usr/bin/wget -q -O /var/lib/rkhunter/tmp/rkhunter.upd.iMYOsNfr9y http://rkhunter.sourceforge.net/1.3/i18n/1.3.6/i18n.ver 2>/dev/null'
[16:00:11] Checking file i18n versions [ Update failed ]
[16:00:11] Warning: Download of 'i18n.ver' failed: Unable to determine the latest version number.

Needless to say, aside from the failed update, which is a problem in and of itself, I am also peppered with email messages each day (the system in question executes an rkhunter scan every 24 hours), "Please inspect this machine, because it may be infected."

This is on Ubuntu 10.04 LTS.

Discussion

  • Ben Johnson
    Ben Johnson
    2014-05-13

    Just after posting this, I am realizing that I should probably be heckling the Ubuntu folks so that they can update their repositories with a patched version, not the rkhunter authors. Please close as appropriate; my apologies.

     
  • John Horne
    John Horne
    2014-08-23

    • status: open --> closed-invalid